/**
 * Test case for setup.
 * Runs with mocha.
 */
'use strict'

const setup = require('../lib/setup.js')
const coz = require('coz')
const co = require('co')
const path = require('path')
const fs = require('fs')
const assert = require('assert')

describe('setup', () => {
  let tmpDir = `${__dirname}/../tmp`

  before(() => co(function * () {
  }))

  after(() => co(function * () {
  }))

  it('Setup', () => co(function * () {
    let bud = [
      setup.entrypoint('foo'),
      setup.component('foo'),
      setup.html('foo')
    ].map((bud) => {
      bud.path = path.join(tmpDir, bud.path)
      return bud
    })
    assert.ok(bud)
    yield coz.render(bud)

    assert.ok(
      fs.existsSync('tmp/foo.entrypoint.jsx')
    )
    assert.ok(
      fs.existsSync('tmp/foo.component.jsx')
    )
    assert.ok(
      fs.existsSync('tmp/foo.html.jsx')
    )
  }))
})

/* global describe, before, after, it */
